Base URL
https://talyapp.net/apiDeveloper docs
Use the REST API to send messages, manage contacts, organize campaigns, power commerce workflows, and connect webhooks.
https://talyapp.net/apiAuthorization: Bearer YOUR_API_TOKEN
Accept: application/json
Content-Type: application/json/api/contactscurl -X GET "https://talyapp.net/api/contacts?page=1&per_page=25" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json"/api/contacts/api/contacts/{uuid}/api/contacts/{uuid}/api/contact-groupscurl -X GET "https://talyapp.net/api/contact-groups?page=1&per_page=25" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json"/api/contact-groups/api/contact-groups/{uuid}/api/contact-groups/{uuid}/api/canned-repliescurl -X GET "https://talyapp.net/api/canned-replies?page=1&per_page=25" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json"/api/canned-replies/api/canned-replies/{uuid}/api/canned-replies/{uuid}/api/sendcurl -X POST "https://talyapp.net/api/send" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"phone": "+966500000001",
"message": "Hello John, how can we help you today?",
"header": "Customer support",
"footer": "Reply with one of the options below",
"buttons": [
{ "id": "sales", "title": "Sales" },
{ "id": "support", "title": "Support" }
]
}'/api/send/media/api/send/template/api/campaignscurl -X POST "https://talyapp.net/api/campaigns" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"name": "April property follow-up",
"template": "00000000-0000-4000-8000-000000000000",
"contacts": "all",
"skip_schedule": true,
"body": {
"parameters": [
{ "type": "text", "text": "Ahmed" }
]
}
}'/api/commerce/productscurl -X GET "https://talyapp.net/api/commerce/products?page=1&per_page=20" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json"/api/commerce/products/api/commerce/products/{uuid}/api/commerce/orders/api/commerce/orders/{uuid}/api/commerce/orders/{uuid}/status/api/commerce/appointments/api/commerce/appointments/{uuid}/api/commerce/appointments/{uuid}/api/templatescurl -X GET "https://talyapp.net/api/templates?page=1&per_page=25" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json"/api/verifycurl -X GET "https://talyapp.net/api/verify" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json"{
"statusCode": 403,
"code": "message_limit_reached",
"message": "You have reached your message limit.",
"request_id": "req_01hxexample"
}{
"statusCode": 400,
"code": "validation_error",
"errors": {
"phone": ["The phone number is not valid."]
}
}